APROPOS(1)

NAME
apropos, whatis - keyword search whatis documentation databases

SYNOPSIS
apropos [-d] keyword ...
whatis [-d] keyword ...

DESCRIPTION
The apropos utility searches a set of databases looking for documentation matching each keyword and displays the results. The whatis utility does the same search but only on complete words.

-d  Print extra debugging information.

The keyword is simply passed to grep(1) allowing for extended regular expression matches.

ENVIRONMENT
The following environment variables affect the execution of apropos:

MANLOCALES, MANPATH, PATH
    Used to find the location of the whatis database files. See manpath(1) for additional information.

PAGER
    Program used to display files. If unset, more -s is used.

DIAGNOSTICS
The apropos utility exits 0 if a keyword matched and 1 if no keywords are matched or no whatis databases are found.

SEE ALSO
grep(1), makewhatis(1), man(1), manpath(1), man.conf(5)